import type { AlgoliaMultipleQueriesQuery, AlgoliaSearchResponse } from '@meilisearch/instant-meilisearch';
import type { SearchClient as MeilisearchSearchClient } from '../types/SearchClient.js';
interface SearchParams {
    /** The initialized Meilisearch search client. */
    searchClient: MeilisearchSearchClient;
    /** A list of queries to execute. */
    queries: Array<AlgoliaMultipleQueriesQuery & {
        params?: {
            highlightPreTag?: string;
            highlightPostTag?: string;
        };
    }>;
}
export declare function fetchMeilisearchResults<TRecord = Record<string, any>>({ searchClient, queries, }: SearchParams): Promise<Array<AlgoliaSearchResponse<TRecord>>>;
export {};
//# sourceMappingURL=fetchMeilisearchResults.d.ts.map